Searched refs:file (Results 1 - 25 of 38) sorted by relevance

12

/lxc/hooks/
H A Dclonehostname21 for file in \
26 if [ -f $file ]; then
27 sed -i "s|$LXC_SRC_NAME|$LXC_NAME|" $file
/lxc/src/lxc/
H A Dparse.h27 const char *file, void *data);
31 extern int lxc_file_for_each_line(const char *file, lxc_file_cb callback,
H A Dparse.c38 int lxc_file_for_each_line(const char *file, lxc_file_cb callback, void *data) argument
45 f = fopen(file, "r");
47 SYSERROR("failed to open %s", file);
H A Dlxclock.h0 /*! \file
28 #include <sys/file.h>
H A Dlog.c69 fprintf(stderr, "%s: %s: %d ", event->locinfo->file, event->locinfo->func, event->locinfo->line);
222 event->locinfo->file, event->locinfo->func,
304 ERROR("failed to open log file \"%s\" : %s", name,
321 * Build the path to the log file
390 * 3. When a lxc.logfile entry is found in config file.
413 ERROR("failed to create dir for log file \"%s\" : %s", fname,
446 extern int lxc_log_init(const char *name, const char *file, argument
474 if (file) {
475 if (strcmp(file, "none") == 0)
477 ret = __lxc_log_set_file(file,
[all...]
H A Dconfile.h43 extern int lxc_config_read(const char *file, struct lxc_conf *conf, bool from_include);
H A Dlog.h73 const char *file; member in struct:lxc_log_locinfo
79 { .file = __FILE__, .func = __func__, .line = __LINE__ }
316 extern int lxc_log_init(const char *name, const char *file,
H A Dstate.c31 #include <sys/file.h>
H A Dlxcutmp.c101 static int utmpxname(const char *file) { argument
103 result = utmpname(file);
116 /* This file watches the /var/run/utmp file in the container
120 * utmp file looking for runlevel changes. If a runlevel change
H A Dconf.c257 /* Declare this here, since we don't want to reshuffle the whole file. */
568 * the underlying fs readonly on shutdown. unlink the file immediately so
867 WARN("Warning: Read Only file system while creating %s", path);
1254 * The mountinfo file shows not all mounts, if a few points have been
1374 /* Remove any pre-existing /dev/ptmx file. */
1385 /* Create dummy /dev/ptmx file as bind mountpoint for /dev/pts/ptmx. */
1388 SYSERROR("failed to create dummy \"/dev/ptmx\" file as bind mount target");
1392 DEBUG("created dummy \"/dev/ptmx\" file as bind mount target");
1404 /* Remove the dummy /dev/ptmx file we created above. */
1830 * Remove 'optional', 'create=dir', and 'create=file' fro
2016 mount_file_entries(const struct lxc_rootfs *rootfs, FILE *file, const char *lxc_name, const char *lxc_path) argument
2052 FILE *file; local
2075 FILE *file; local
2114 FILE *file; local
[all...]
H A Dutils.h182 * (i.e., struct lxc_popen_FILE *file; fgets(buf, sizeof(buf), file->f))
322 int print_to_file(const char *file, const char *content);
/lxc/src/include/
H A Dlxcmntent.h4 This file is part of the GNU C Library.
40 FILE *setmntent (const char *file, const char *mode);
H A Dlxcmntent.c4 This file is part of the GNU C Library.
151 FILE *setmntent (const char *file, const char *mode) argument
159 FILE *result = fopen (file, newmode);
/lxc/templates/
H A Dlxc-download.in96 echo "WARNING: Failed to download the file over HTTPs." 1>&2
97 echo -n " The file was instead download over HTTP. " 1>&2
524 echo "ERROR: meta tarball is missing the configuration file" 1>&2
578 for file in $TEMPLATE_FILES; do
579 [ ! -f "$file" ] && continue
581 sed -i "s#LXC_NAME#$LXC_NAME#g" $file
582 sed -i "s#LXC_PATH#$LXC_PATH#g" $file
583 sed -i "s#LXC_ROOTFS#$LXC_ROOTFS#g" $file
584 sed -i "s#LXC_TEMPLATE_CONFIG#$LXC_TEMPLATE_CONFIG#g" $file
585 sed -i "s#LXC_HOOK_DIR#$LXC_HOOK_DIR#g" $file
[all...]
H A Dlxc-cirros.in89 -u | --userdata U user-data file
216 local out="" outd="" file="" dlpath=""
217 file="cirros-$ver-$arch-lxc.tar.gz"
218 dlpath="$ver/$file"
299 error "--auth-key=${authkey_f} must reference a file"
307 error "${userdata_f}: --userdata arg not a file"
H A Dlxc-gentoo.in157 # get latest-stage3....txt file for subpath
508 local file=${1}
515 for line in $( sed -r "s/[ ]*=[ ]*/_real_ugly_sep_42_/" "${file}" ); do
677 printf "container_configuration(): making lxc configuration file... \n"
760 auth-key: SSH Public key file to inject into container for user (currently: '${auth_key}')
H A Dlxc-openmandriva.in311 rm --preserve-root --one-file-system -rf $cache && echo "Done." || exit 1
338 -P,--profile Profile name is the file name in /etc/lxc/profiles contained packages name for install to cache.
476 echo "failed write configuration file"
H A Dlxc-plamo.in280 rm -rf --one-file-system $dlcache $rtcache || return 1
364 echo "Failed to write configuration file."
H A Dlxc-debian.in386 # Generate the configuration file
484 rm --preserve-root --one-file-system -rf "$cache" && echo "Done." || exit 1
662 echo "failed write configuration file"
/lxc/src/tests/
H A Dlxc-test-symlink51 lxc.mount.entry = $fname opt/xxx/file none bind,create=file
72 touch $lxcpath/symtest1/rootfs/opt/xxx/file
/lxc/src/lua-lxc/test/
H A Dapitest.lua94 -- create a config file in the new location from container's config
254 log(0, "Test saving to an alternate (%s) config file...", altname)
/lxc/src/lxc/tools/
H A Dlxc_info.c97 --rcfile=FILE Load configuration file FILE\n",
243 const char *file; member in struct:__anon20
251 ret = c->get_cgroup_item(c, lxstat[i].file, buf, sizeof(buf));
H A Dlxc-start-ephemeral.in45 *args, file=sys.stderr)
256 fd.write("getfacl -a %s | setfacl --set-file=- %s || true\n" %
258 fd.write("getfacl -a %s | setfacl --set-file=- %s || true\n" %
306 for file in $LXC_DIR/rootfs/etc/hostname \\
310 [ -f "$file" ] && sed -i -e "s/$LXC_BASE/$LXC_NAME/" $file
/lxc/src/lua-lxc/
H A Dlxc.lua256 -- read integers at given coordinates from a cgroup file
281 -- read an integer from a cgroup file
362 if (cfgattr and cfgattr.mode == "file") then
/lxc/config/init/common/
H A Dlxc-net.in119 LXC_DHCP_CONFILE_ARG="--conf-file=${LXC_DHCP_CONFILE}"
131 --strict-order --bind-interfaces --pid-file="${varrun}"/dnsmasq.pid \

Completed in 42 milliseconds

12